### Struct

# St IconColors

since: 14

#### Description [src]

    struct StIconColors {
      ClutterColor foreground;
      ClutterColor warning;
      ClutterColor error;
      ClutterColor success;
    }

The `StIconColors` structure encapsulates colors for colorizing a symbolic icon.

###### Structure members

`foreground`

  Foreground color.

`warning`

  Color indicating a warning state.

`error`

  Color indicating an error state.

`success`

  Color indicating a successful operation.

Available since: 14

#### Constructors

###### st_icon_colors_new

Creates a new `StIconColors`. All colors are initialized to transparent black.

since: 14

#### Instance methods

###### st_icon_colors_copy

Creates a new StIconColors structure that is a copy of the passed in `colors`. You would use this function instead of `st_icon_colors_ref()` if you were planning to change colors in the result.

since: 14

###### st_icon_colors_equal

Check if two `StIconColors` objects are identical.

since: 14

###### st_icon_colors_ref

Atomically increments the reference count of `colors` by one.

since: 14

###### st_icon_colors_unref

Atomically decrements the reference count of `colors` by one. If the reference count drops to 0, all memory allocated by the `StIconColors` is released.

since: 14